# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global mysql_plugin_dir %(mysql_config --plugindir)

%define oname mysql-udf-http
%define lname %(echo %{oname} | sed -e 's/-/_/g')

Name: mysqludf_curl
Version: 1.0
Release: alt1_7
BuildRequires: libmariadb-devel
BuildRequires: pkgconfig(libcurl)
Group: Databases
License: BSD
URL: https://code.google.com/archive/p/mysql-udf-http/
Summary: MySQL User-defined function (UDF) for HTTP REST
Source: https://storage.googleapis.com/google-code-archive-downloads/v1/code.google.com/mysql-udf-http/mysql-udf-http-%{version}.tar.gz
Source44: import.info

%description
MySQL User-defined function (UDF) for HTTP REST.

%prep
%setup -qn %{oname}-%{version}
# fix README
sed -i -e "s|%{oname}\(\.so\)|%{lname}\1|g" README

# fix Makefile.am
sed -i -e "s|%{oname}\([_\.]la\)|%{lname}\1|g" \
       -e "s|\(-module\)|\1 -avoid-version|g" src/Makefile.am

touch NEWS AUTHORS ChangeLog

%build
autoreconf -fi
%configure --with-mysql=%{_bindir}/mysql_config
%make_build

%install
install -m755 -D src/.libs/*.so %{buildroot}%{mysql_plugin_dir}/%{oname}.so

%files
%doc README
%{mysql_plugin_dir}/%{oname}.so


%changelog
* Tue Apr 12 2022 Cronbuild Service <cronbuild@altlinux.org> 1.0-alt1_7
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_6
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_5
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_4
- new version

